Server Quota

CRUD for default / client server quota (on-demand)

Create a new quota item

post

Create a new quota item

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Body

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
Responses
chevron-right
200

Successful operation

application/json

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
post
/api/quota

Get a specific quota item

get

Get a specfic quota item

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
idinteger · intRequired

ID of the quota item

Example: 123
Responses
chevron-right
200

Successful operation

application/json

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
get
/api/quota/{id}

Update a specific quota item

put

Update a specific quota item

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
idinteger · intRequired

ID of the quota item

Example: 123
Body

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
Responses
chevron-right
200

Successful operation

application/json

ServerQuotaItem object

idinteger · intRead-onlyOptionalExample: 123
clientIdinteger · intRequired

Pass 0 for default quota

Example: 12345
contractIdstringOptional

Can be empty or null for default and basic client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
locationIdinteger · int16 · max: 32767Required

Pass 0 combined with instanceTypeId 0 to define max quota for an entire client

Example: 18
instanceTypeIdinteger · intRequired

Pass 0 to define with locationId > 0 to define max quota for an entire location

Example: 123
quotainteger · int16 · max: 32767RequiredExample: 5
put
/api/quota/{id}

Delete a specific quota item

delete

Delete a specific quota item

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
idinteger · intRequired

ID of the quota item

Example: 123
Responses
delete
/api/quota/{id}

No content

Get a list of client IDs that have custom quota

get

Get a list of client IDs that have custom quota, with optional contract ID

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Responses
chevron-right
200

Successful operation

application/json

ServerQuotaClients containing a list of client IDs that have custom quota

get
/api/quota/clients

Get all default quota items

get

Get all default quota items

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Responses
chevron-right
200

Successful operation

application/json

ServerQuota object

get
/api/quota/default

Get all quota for a client

get

Get all the quota for a client, of all types

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · intRequired

ID of the client to get quota for

Example: 12345
Responses
chevron-right
200

Successful operation

application/json

ServerQuota object

get
/api/client/{clientId}/quota

Set all quota for a client

post

Set all the quota for a client in 1 go

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · intRequired

ID of the client to get quota for

Example: 12345
Body

ServerQuotaBulk to update all (client) quota for a contract ID in 1 go

contractIdstringOptional

Can be empty or null for on-demand client quota

Example: JD-NB2UU6VX732Pattern: ^[A-Z0-9_\-.]{0,240}$
Responses
chevron-right
200

Successful operation

application/json

ServerQuota object

post
/api/client/{clientId}/quota

Delete all quota of a client

delete

Delete the quota of a client. If contractId is passed, only the quota for that contract is deleted. Client ID may not be 0 (denoting default quota)

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · int · min: 1Required

ID of the client to delete quota for

Example: 12345
Query parameters
contractIdstringOptional

contract id

Pattern: ^[A-Z0-9_\-.]{0,240}$
Responses
delete
/api/client/{clientId}/quota

No content

Get all quota + usage for a client

get

Get all the quota + usage for a client, of all types

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
X-Api-KeystringRequired
Path parameters
clientIdinteger · intRequired

ID of the client to get quota + usage for

Example: 12345
Responses
chevron-right
200

Successful operation

application/json

ServerQuotaUsage object

get
/api/client/{clientId}/quota/usage

Last updated

Was this helpful?